Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetMessageReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetMessageReactions

Enclosing class:
  TdApi

public static final class TdApi.SetMessageReactions extends TdApi.Function<TdApi.Ok>
Sets reactions on a message; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the message belongs.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isBig`
Pass true if the reactions are added with a big animation.
`long`
`messageId`
Identifier of the message.
`TdApi.ReactionType[]`
`reactionTypes`
Types of the reaction to set.

## Constructor Summary

Constructors
Constructor
Description
`SetMessageReactions()`
Sets reactions on a message; for bots only.
`SetMessageReactions(long chatId, long messageId, TdApi.ReactionType[] reactionTypes, boolean isBig)`
Sets reactions on a message; for bots only.
`SetMessageReactions(DataInput input)`
Sets reactions on a message; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message belongs.

### messageId

public long messageId
Identifier of the message.

### reactionTypes

public TdApi.ReactionType[] reactionTypes
Types of the reaction to set.

### isBig

public boolean isBig
Pass true if the reactions are added with a big animation.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetMessageReactions

public SetMessageReactions()
Sets reactions on a message; for bots only.

Returns `Ok`

### SetMessageReactions

public SetMessageReactions(long chatId, long messageId, TdApi.ReactionType[] reactionTypes, boolean isBig)
Sets reactions on a message; for bots only.

Returns `Ok`

Parameters:
  `chatId` - Identifier of the chat to which the message belongs.
  `messageId` - Identifier of the message.
  `reactionTypes` - Types of the reaction to set.
  `isBig` - Pass true if the reactions are added with a big animation.

  Returns `Ok`

### SetMessageReactions

public SetMessageReactions(DataInput input) throws IOException
Sets reactions on a message; for bots only.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`